Subject: Re: bug#59038: loading this base64 file makes emacs -Q 28.2 peg a core infinitely

From: Chris Hecker <[email-masked]>
Date: Sat, 5 Nov 2022 01:21:34 -0700

> It's a single 21,728-character line.

Yeah?  This isn’t 1970.  I have 32gb of ram and a 12 core cpu.   It’s a
bug.  It should either parse the file (instantly, it’s 27kb) or it should
at least stop after a few ms and tell me it’s lame and needs me to switch
manually to another mode.  I mean, given the 28.2 user experience, there is
no opportunity to switch to fundamental mode because emacs was hosed.  I
don’t even think ctrl-g worked for me.

Chris

On Sat, Nov 5, 2022 at 00:50 Gerd Möllmann <[email-masked]> wrote:

> On 05.11.22 08:01, Eli Zaretskii wrote:
> > What is reproducible, exactly?
>
> I don't understand.  The infinite loop is reproducible, "pegging one
> core" as he expressed it, using up one CPU core.
>
> > Visiting the file is almost
> > instantaneous here, in Emacs 29.  What did you do to get Emacs into an
> > infloop?
>
> Maybe I switched applications with Cmd-TAB, or something else triggering
> redisplay.  Do a M-x or C-l.
>
> > It is IMO unreasonable to expect CC Mode to do something sensible with
> > random sequence of characters that don't resemble C in any way.
>
> I think no-one expects that.  The bug is the uninterruptable loop or
> whatever causes it.
>